<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
UnlockFiles Method (IEdmBatchUnlock)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchUnlock Interface : UnlockFiles Method (IEdmBatchUnlock)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

poCallback
  IEdmUnlockOpCallback; optional callback that you can implement to receive more information about the unlock operation

Unlocks, checks in, or undoes the check-outs of the files in this batch.

# Syntax

Visual Basic |
--- | ---

    Sub UnlockFiles( _
       ByVal lParentWnd As System.Integer, _
       Optional ByVal poCallback As IEdmUnlockOpCallback _
    )

C# |
--- | ---

    void UnlockFiles(
       System.int lParentWnd,
       IEdmUnlockOpCallback poCallback
    )

C++/CLI |
--- | ---

    void UnlockFiles(
    &   System.int lParentWnd,
    &   IEdmUnlockOpCallback^ poCallback
    )

#### Parameters

lParentWnd
  Parent window handle
poCallback
  IEdmUnlockOpCallback; optional callback that you can implement to receive more information about the unlock operation

# Example

See the IEdmBatchUnlock examples.

# Remarks

See the IEdmBatchUnlock remarks for information about using this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchUnlock Interface
IEdmBatchUnlock Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional